## python-ncclient 0.4.7

=== requirements.txt ===
setuptools>0.6
paramiko>=1.7.7.1
lxml>=3.3.0

## python-ncclient 0.4.1

=== debian/changelog ===
python-ncclient (0.4.1-1) unstable; urgency=low

  * Initial release. (Closes: #745062)

 -- Sebastien Badia <seb@sebian.fr>  Sat, 19 Apr 2014 23:54:16 +0200

=== debian/control ===
Source: python-ncclient
Section: python
Priority: optional
Maintainer: Sebastien Badia <seb@sebian.fr>
Build-Depends: debhelper (>= 9),
               python,
               python-lxml,
               python-paramiko,
               python-setuptools,
               python-sphinx
Standards-Version: 3.9.5
Vcs-Browser: http://anonscm.debian.org/gitweb/?p=collab-maint/python-ncclient.git
Vcs-Git: git://anonscm.debian.org/collab-maint/python-ncclient.git
Homepage: http://ncclient.grnet.gr/

Package: python-ncclient
Architecture: all
Pre-Depends: dpkg (>= 1.15.6~)
Depends: python-lxml (>= 3.3.1-1~),
         python-paramiko (>=1.7.7.1),
         ${misc:Depends},
         ${python:Depends}
Recommends: ${python:Recommends}
Description: Python library for NETCONF clients
 ncclient is a Python library that facilitates client-side scripting
 and application development around the NETCONF protocol.
 .
 NETCONF (Network Configuration Protocol) provides mechanisms to install,
 manipulate, and delete the configuration of network devices. Its operations
 are realized on top of a simple remote procedure call (RPC) layer.
 .
 The NETCONF protocol uses an Extensible Markup Language (XML) based data
 encoding for the configuration data as well as the protocol messages.

=== debian/rules ===
#!/usr/bin/make -f

%:
	dh $@ --buildsystem=python_distutils --with python2,sphinxdoc

PYTHONS:=$(shell pyversions -vr)
override_dh_auto_install:
	set -e && for pyvers in $(PYTHONS); do \
                python$$pyvers setup.py install --install-layout=deb \
                        --root $(CURDIR)/debian/python-ncclient ; \
        done

override_dh_sphinxdoc:
	sphinx-build -b html docs/source/ $(CURDIR)/debian/python-ncclient/usr/share/doc/python-ncclient/html
	dh_sphinxdoc -O--buildsystem=python_distutils

override_dh_auto_clean:
	dh_auto_clean
	rm -rf ncclient.egg-info docs/build

## python-ncclient 0.4.3

=== debian/changelog ===
python-ncclient (0.4.3-2) unstable; urgency=medium

  * Rebuild, upload to unstable.

 -- Sebastien Badia <seb@sebian.fr>  Mon, 04 May 2015 14:02:29 +0200

python-ncclient (0.4.3-1) experimental; urgency=medium

  * New upstream release.
  * Upstream fix for locked target. (Closes: #763537)
  * d/rules: Clean rule file (Thanks Gonéri)
  * d/control
    * Remove dpkg pre-depends (>= 1.15.6~)
    * Bump Standards-Versions (no changes)
    * Fix project homepage and vcs-browser
    * Add dh-python to build deps, and fix python-lxml version

 -- Sebastien Badia <seb@sebian.fr>  Thu, 05 Mar 2015 14:06:27 +0100

=== debian/control ===
--- 
+++ 
@@ -3,20 +3,21 @@
 Priority: optional
 Maintainer: Sebastien Badia <seb@sebian.fr>
 Build-Depends: debhelper (>= 9),
+               dh-python,
                python,
                python-lxml,
                python-paramiko,
                python-setuptools,
                python-sphinx
-Standards-Version: 3.9.5
-Vcs-Browser: http://anonscm.debian.org/gitweb/?p=collab-maint/python-ncclient.git
+Standards-Version: 3.9.6
+Vcs-Browser: https://anonscm.debian.org/cgit/collab-maint/python-ncclient.git
 Vcs-Git: git://anonscm.debian.org/collab-maint/python-ncclient.git
-Homepage: http://ncclient.grnet.gr/
+Homepage: http://ncclient.org/ncclient/
 
 Package: python-ncclient
 Architecture: all
-Pre-Depends: dpkg (>= 1.15.6~)
-Depends: python-lxml (>= 3.3.1-1~),
+Pre-Depends: ${misc:Pre-Depends}
+Depends: python-lxml (>= 3.3.1),
          python-paramiko (>=1.7.7.1),
          ${misc:Depends},
          ${python:Depends}

=== debian/rules ===
--- 
+++ 
@@ -16,4 +16,5 @@
 
 override_dh_auto_clean:
 	dh_auto_clean
-	rm -rf ncclient.egg-info docs/build
+	[ ! -d docs/build ] || rm -r docs/build
+	[ ! -d ncclient.egg-info ] || rm -r ncclient.egg-info

## python-ncclient 0.4.7

=== debian/changelog ===
python-ncclient (0.4.7-1) unstable; urgency=medium

  * New upstream release.
  * Fix lintian issue vcs-field-uses-insecure-uri.
  * Switched from python to python-all build-depends.
  * Removed now useless X-Python-Version: >= 2.6.
  * Added extend-diff-ignore = "^[^/]*[.]egg-info/" in
    debian/source/options and do clean better.
  * Unit testing now respects DEB_BUILD_OPTIONS=nocheck

 -- Sebastien Badia <seb@sebian.fr>  Tue, 16 Feb 2016 00:43:00 +0100

python-ncclient (0.4.5-1) unstable; urgency=medium

  * New upstream release.
  * Update homepage location.
  * Disable 'sphinx.ext.intersphinx' for sphinx documentation.
  * Added nose BD and remove specific versions for lxml and paramiko.
  * d/rules: Added nosetests for ncclient package

 -- Sebastien Badia <seb@sebian.fr>  Fri, 16 Oct 2015 14:44:05 +0200

=== debian/control ===
--- 
+++ 
@@ -4,23 +4,19 @@
 Maintainer: Sebastien Badia <seb@sebian.fr>
 Build-Depends: debhelper (>= 9),
                dh-python,
-               python,
-               python-lxml,
-               python-paramiko,
+               python-all,
                python-setuptools,
                python-sphinx
+Build-Depends-Indep: python-lxml, python-nose, python-paramiko
 Standards-Version: 3.9.6
 Vcs-Browser: https://anonscm.debian.org/cgit/collab-maint/python-ncclient.git
-Vcs-Git: git://anonscm.debian.org/collab-maint/python-ncclient.git
-Homepage: http://ncclient.org/ncclient/
+Vcs-Git: https://anonscm.debian.org/git/collab-maint/python-ncclient.git
+Homepage: http://ncclient.org/
 
 Package: python-ncclient
 Architecture: all
 Pre-Depends: ${misc:Pre-Depends}
-Depends: python-lxml (>= 3.3.1),
-         python-paramiko (>=1.7.7.1),
-         ${misc:Depends},
-         ${python:Depends}
+Depends: python-lxml, python-paramiko, ${misc:Depends}, ${python:Depends}
 Recommends: ${python:Recommends}
 Description: Python library for NETCONF clients
  ncclient is a Python library that facilitates client-side scripting

=== debian/rules ===
--- 
+++ 
@@ -10,11 +10,15 @@
                         --root $(CURDIR)/debian/python-ncclient ; \
         done
 
+override_dh_auto_test:
+ifeq (,$(findstring nocheck, $(DEB_BUILD_OPTIONS)))
+	nosetests test --verbosity=3 ncclient
+endif
+
 override_dh_sphinxdoc:
 	sphinx-build -b html docs/source/ $(CURDIR)/debian/python-ncclient/usr/share/doc/python-ncclient/html
 	dh_sphinxdoc -O--buildsystem=python_distutils
 
 override_dh_auto_clean:
 	dh_auto_clean
-	[ ! -d docs/build ] || rm -r docs/build
-	[ ! -d ncclient.egg-info ] || rm -r ncclient.egg-info
+	rm -fr docs/build

## python-ncclient 0.5.3

=== requirements.txt ===
setuptools>0.6
paramiko>=1.15.0
lxml>=3.3.0
six

=== debian/changelog ===
python-ncclient (0.5.3-4) unstable; urgency=medium

  * d/control: Fixes Breaks/Replaces version (-doc conflict)

 -- Sebastien Badia <sbadia@debian.org>  Thu, 08 Jun 2017 13:48:30 +0200

python-ncclient (0.5.3-3) unstable; urgency=medium

  * d/control: Fix breaks/replaces for python-ncclient-doc (Closes: #863721)
    Thanks Andreas!

 -- Sebastien Badia <sbadia@debian.org>  Wed, 31 May 2017 17:03:11 +0200

python-ncclient (0.5.3-2) unstable; urgency=medium

  * d/copyright: Added missing copyright attributions (Closes: #862568)

 -- Sebastien Badia <sbadia@debian.org>  Mon, 15 May 2017 23:01:08 +0200

python-ncclient (0.5.3-1) unstable; urgency=medium

  * New upstream version 0.5.3
  * d/gbp: Fix old-style git buildpackage config
  * d/compat: Bump debhelper compat to 10
  * d/control:
      + Migrate uploader mail to my Debian email
      + bump to Standards-Version 3.8.0 (no changes)
      + Enable autopkgtest-pkg-python
  * Add python3 support (Closes: #845588)
    also switch to pybuild, and split package documentation
  * Package documentation and example are now shipped in a separated package
    (python-ncclient-doc), python-ncclient-doc break/replace python-ncclient.
  * d/patches: Refresh Debian patches

 -- Sebastien Badia <sbadia@debian.org>  Sun, 14 May 2017 11:54:45 +0200

=== debian/control ===
Source: python-ncclient
Section: python
Priority: optional
Maintainer: Sebastien Badia <sbadia@debian.org>
Build-Depends: debhelper (>= 10),
               dh-python,
               python-all,
               python-setuptools,
               python-sphinx,
               python3-all,
               python3-setuptools,
               python3-sphinx
Build-Depends-Indep: python-lxml,
                     python-mock,
                     python-nose,
                     python-paramiko,
                     python-six,
                     python3-lxml,
                     python3-mock,
                     python3-nose,
                     python3-paramiko,
                     python3-six
Standards-Version: 3.9.8
Vcs-Browser: https://anonscm.debian.org/cgit/collab-maint/python-ncclient.git
Vcs-Git: https://anonscm.debian.org/git/collab-maint/python-ncclient.git
Homepage: http://ncclient.org/
Testsuite: autopkgtest-pkg-python

Package: python-ncclient
Architecture: all
Pre-Depends: ${misc:Pre-Depends}
Depends: python-lxml,
         python-paramiko,
         python-six,
         ${misc:Depends},
         ${python:Depends}
Suggests: python-ncclient-doc
Description: Python library for NETCONF clients (Python 2)
 ncclient is a Python library that facilitates client-side scripting
 and application development around the NETCONF protocol.
 .
 NETCONF (Network Configuration Protocol) provides mechanisms to install,
 manipulate, and delete the configuration of network devices. Its operations
 are realized on top of a simple remote procedure call (RPC) layer.
 .
 The NETCONF protocol uses an Extensible Markup Language (XML) based data
 encoding for the configuration data as well as the protocol messages.
 .
 This package provides the Python 2 version of the library.

Package: python3-ncclient
Architecture: all
Pre-Depends: ${misc:Pre-Depends}
Depends: python3-lxml,
         python3-paramiko,
         python3-six,
         ${misc:Depends},
         ${python3:Depends}
Suggests: python-ncclient-doc
Description: Python library for NETCONF clients (Python 3)
 ncclient is a Python library that facilitates client-side scripting
 and application development around the NETCONF protocol.
 .
 NETCONF (Network Configuration Protocol) provides mechanisms to install,
 manipulate, and delete the configuration of network devices. Its operations
 are realized on top of a simple remote procedure call (RPC) layer.
 .
 The NETCONF protocol uses an Extensible Markup Language (XML) based data
 encoding for the configuration data as well as the protocol messages.
 .
 This package provides the Python 3 version of the library.

Package: python-ncclient-doc
Architecture: all
Section: doc
Replaces: python-ncclient (<< 0.5.3)
Breaks: python-ncclient (<< 0.5.3)
Depends: ${misc:Depends}, ${sphinxdoc:Depends}
Description: Documentation for python-ncclient (Python library for NETCONF clients)
 ncclient is a Python library that facilitates client-side scripting
 and application development around the NETCONF protocol.
 .
 NETCONF (Network Configuration Protocol) provides mechanisms to install,
 manipulate, and delete the configuration of network devices. Its operations
 are realized on top of a simple remote procedure call (RPC) layer.
 .
 The NETCONF protocol uses an Extensible Markup Language (XML) based data
 encoding for the configuration data as well as the protocol messages.
 .
 This package provides the documentation of the library.

=== debian/rules ===
#!/usr/bin/make -f

export PYBUILD_NAME = ncclient

%:
	dh $@ --buildsystem=pybuild --with python2,python3,sphinxdoc

override_dh_auto_test:
ifeq (,$(findstring nocheck, $(DEB_BUILD_OPTIONS)))
	nosetests test --verbosity=3 ncclient
endif

# Split package and documentation
override_dh_sphinxdoc:
	sphinx-build -b html docs/source/ $(CURDIR)/debian/python-ncclient-doc/usr/share/doc/python-ncclient/html
	dh_sphinxdoc -O--buildsystem=python_distutils

override_dh_auto_clean:
	dh_auto_clean
	rm -fr docs/build

=== debian/watch ===
version=3
opts=filenamemangle=s/.+\/v?(\d\S*)\.tar\.gz/ncclient-$1\.tar\.gz/ \
  https://github.com/leopoul/ncclient/tags .*/v?(\d\S*)\.tar\.gz

## python-ncclient 0.6.0

=== debian/changelog ===
python-ncclient (0.6.0-2) unstable; urgency=medium

  [ Ondřej Nový ]
  * Use 'python3 -m sphinx' instead of sphinx-build for building docs

  [ Sebastien Badia ]
  * d/patches: Disable unused sphinx.ext.pngmath extension (Closes: #918825)

 -- Sebastien Badia <sbadia@debian.org>  Wed, 13 Feb 2019 18:11:13 +0100

python-ncclient (0.6.0-1) unstable; urgency=medium

  * d/compat: Bump compat version to 11
  * d/watch: Bump to version 4
  * d/copyright: Update copyright years and use HTTPS for URI and fix homepage
  * d/upstream: Added Upstream metadata
  * d/control:
    + Bump to Standards-Version 4.1.5 (no changes needed)
    + Use salsa.debian.org in Vcs-* fields
  * New upstream version 0.6.0, fix upstream tests (Closes: #894432)

 -- Sebastien Badia <sbadia@debian.org>  Mon, 16 Jul 2018 12:20:29 +0200

=== debian/control ===
--- 
+++ 
@@ -2,7 +2,7 @@
 Section: python
 Priority: optional
 Maintainer: Sebastien Badia <sbadia@debian.org>
-Build-Depends: debhelper (>= 10),
+Build-Depends: debhelper (>= 11~),
                dh-python,
                python-all,
                python-setuptools,
@@ -20,10 +20,10 @@
                      python3-nose,
                      python3-paramiko,
                      python3-six
-Standards-Version: 3.9.8
-Vcs-Browser: https://anonscm.debian.org/cgit/collab-maint/python-ncclient.git
-Vcs-Git: https://anonscm.debian.org/git/collab-maint/python-ncclient.git
-Homepage: http://ncclient.org/
+Standards-Version: 4.1.5
+Vcs-Browser: https://salsa.debian.org/debian/python-ncclient
+Vcs-Git: https://salsa.debian.org/debian/python-ncclient.git
+Homepage: https://github.com/ncclient/ncclient
 Testsuite: autopkgtest-pkg-python
 
 Package: python-ncclient

=== debian/rules ===
--- 
+++ 
@@ -12,7 +12,7 @@
 
 # Split package and documentation
 override_dh_sphinxdoc:
-	sphinx-build -b html docs/source/ $(CURDIR)/debian/python-ncclient-doc/usr/share/doc/python-ncclient/html
+	python3 -m sphinx -b html docs/source/ $(CURDIR)/debian/python-ncclient-doc/usr/share/doc/python-ncclient/html
 	dh_sphinxdoc -O--buildsystem=python_distutils
 
 override_dh_auto_clean:

## python-ncclient 0.6.3

=== debian/changelog ===
python-ncclient (0.6.3-1) unstable; urgency=medium

  * New upstream version 0.6.3
  * d/control:
    + Switch to debhelper-compat and level 13
    + Set Rules-Requires-Root to no
    + Bump to Standards-Version 4.5.0 (no changes needed)
  * d/upstream: Add missing-bug-tracking url

 -- Sebastien Badia <sbadia@debian.org>  Sun, 14 Jun 2020 23:47:13 +0200

python-ncclient (0.6.0-2.1) unstable; urgency=medium

  * Non-maintainer upload.
  * Drop python2 support; Closes: #937939

 -- Sandro Tosi <morph@debian.org>  Sat, 19 Oct 2019 16:00:42 -0400

=== debian/control ===
--- 
+++ 
@@ -2,51 +2,22 @@
 Section: python
 Priority: optional
 Maintainer: Sebastien Badia <sbadia@debian.org>
-Build-Depends: debhelper (>= 11~),
+Build-Depends: debhelper-compat (= 13),
                dh-python,
-               python-all,
-               python-setuptools,
-               python-sphinx,
                python3-all,
                python3-setuptools,
                python3-sphinx
-Build-Depends-Indep: python-lxml,
-                     python-mock,
-                     python-nose,
-                     python-paramiko,
-                     python-six,
-                     python3-lxml,
+Build-Depends-Indep: python3-lxml,
                      python3-mock,
                      python3-nose,
                      python3-paramiko,
                      python3-six
-Standards-Version: 4.1.5
+Standards-Version: 4.5.0
+Rules-Requires-Root: no
 Vcs-Browser: https://salsa.debian.org/debian/python-ncclient
 Vcs-Git: https://salsa.debian.org/debian/python-ncclient.git
 Homepage: https://github.com/ncclient/ncclient
 Testsuite: autopkgtest-pkg-python
-
-Package: python-ncclient
-Architecture: all
-Pre-Depends: ${misc:Pre-Depends}
-Depends: python-lxml,
-         python-paramiko,
-         python-six,
-         ${misc:Depends},
-         ${python:Depends}
-Suggests: python-ncclient-doc
-Description: Python library for NETCONF clients (Python 2)
- ncclient is a Python library that facilitates client-side scripting
- and application development around the NETCONF protocol.
- .
- NETCONF (Network Configuration Protocol) provides mechanisms to install,
- manipulate, and delete the configuration of network devices. Its operations
- are realized on top of a simple remote procedure call (RPC) layer.
- .
- The NETCONF protocol uses an Extensible Markup Language (XML) based data
- encoding for the configuration data as well as the protocol messages.
- .
- This package provides the Python 2 version of the library.
 
 Package: python3-ncclient
 Architecture: all

=== debian/rules ===
--- 
+++ 
@@ -3,11 +3,11 @@
 export PYBUILD_NAME = ncclient
 
 %:
-	dh $@ --buildsystem=pybuild --with python2,python3,sphinxdoc
+	dh $@ --buildsystem=pybuild --with python3,sphinxdoc
 
 override_dh_auto_test:
 ifeq (,$(findstring nocheck, $(DEB_BUILD_OPTIONS)))
-	nosetests test --verbosity=3 ncclient
+	nosetests3 test --verbosity=3 ncclient
 endif
 
 # Split package and documentation

=== debian/watch ===
version=4
opts=filenamemangle=s/.+\/v?(\d\S*)\.tar\.gz/ncclient-$1\.tar\.gz/ \
  https://github.com/leopoul/ncclient/tags .*/v?(\d\S*)\.tar\.gz

## python-ncclient 0.6.12

=== debian/changelog ===
python-ncclient (0.6.12-1) unstable; urgency=medium

  [ Debian Janitor ]
  * Apply multi-arch hints. + python-ncclient-doc: Add Multi-Arch: foreign.

  [ Sebastien Badia ]
  * New upstream version 0.6.12
  * d/watch: Update upstream location (ncclient org)
  * d/patches: Refresh patches
  * Bump Standards-Version to 4.5.1 (no changes needed)
  * d/examples: fix examples location (according upstream changes)
  * d/copyright: fix location according upstream changes

 -- Sebastien Badia <sbadia@debian.org>  Wed, 18 Aug 2021 09:56:00 +0200

=== debian/control ===
--- 
+++ 
@@ -12,7 +12,7 @@
                      python3-nose,
                      python3-paramiko,
                      python3-six
-Standards-Version: 4.5.0
+Standards-Version: 4.5.1
 Rules-Requires-Root: no
 Vcs-Browser: https://salsa.debian.org/debian/python-ncclient
 Vcs-Git: https://salsa.debian.org/debian/python-ncclient.git
@@ -47,6 +47,7 @@
 Replaces: python-ncclient (<< 0.5.3)
 Breaks: python-ncclient (<< 0.5.3)
 Depends: ${misc:Depends}, ${sphinxdoc:Depends}
+Multi-Arch: foreign
 Description: Documentation for python-ncclient (Python library for NETCONF clients)
  ncclient is a Python library that facilitates client-side scripting
  and application development around the NETCONF protocol.

## python-ncclient 0.6.13

=== debian/changelog ===
python-ncclient (0.6.13-1) unstable; urgency=medium

  * Bump Standards-Version to 4.6.1 (no changes needed)
  * New upstream version 0.6.13
  * d/copyright: Update years

 -- Sebastien Badia <sbadia@debian.org>  Tue, 31 May 2022 12:30:26 +0200

=== debian/control ===
--- 
+++ 
@@ -12,7 +12,7 @@
                      python3-nose,
                      python3-paramiko,
                      python3-six
-Standards-Version: 4.5.1
+Standards-Version: 4.6.1
 Rules-Requires-Root: no
 Vcs-Browser: https://salsa.debian.org/debian/python-ncclient
 Vcs-Git: https://salsa.debian.org/debian/python-ncclient.git

## python-ncclient 0.6.15

=== requirements.txt ===
setuptools>0.6
paramiko>=1.15.0
lxml>=3.3.0
selectors2>=2.0.1; python_version <= '3.4'
six

=== docs/requirements.txt ===
Sphinx==3.2.0
-r ../requirements.txt

=== debian/changelog ===
python-ncclient (0.6.15-0.1~cloud0) jammy-caracal; urgency=medium

  * New update for the Ubuntu Cloud Archive.

 -- Openstack Ubuntu Testing Bot <openstack-testing-bot@ubuntu.com>  Sat, 27 Jan 2024 01:32:22 +0000

python-ncclient (0.6.15-0.1) unstable; urgency=medium

  * Non-maintainer upload.

  [ Alexandre Detiste ]
  * New upstream version 0.6.15 (Closes: #1058259).
  * Remove dependency on python3-mock.

  [ Sergio de Almeida Cipriano Junior ]
  * Replace nose with pytest (Closes: #1018536).
  * Bump Standards-Version to 4.6.2 (no changes needed).
  * d/patches: Change interpreter from python to python3 in example scripts.

  [ Thomas Goirand ]
  * Add autopkgtest.

 -- Thomas Goirand <zigo@debian.org>  Fri, 26 Jan 2024 15:39:06 +0100

=== debian/control ===
--- 
+++ 
@@ -8,11 +8,10 @@
                python3-setuptools,
                python3-sphinx
 Build-Depends-Indep: python3-lxml,
-                     python3-mock,
-                     python3-nose,
+                     python3-pytest,
                      python3-paramiko,
                      python3-six
-Standards-Version: 4.6.1
+Standards-Version: 4.6.2
 Rules-Requires-Root: no
 Vcs-Browser: https://salsa.debian.org/debian/python-ncclient
 Vcs-Git: https://salsa.debian.org/debian/python-ncclient.git
@@ -44,8 +43,6 @@
 Package: python-ncclient-doc
 Architecture: all
 Section: doc
-Replaces: python-ncclient (<< 0.5.3)
-Breaks: python-ncclient (<< 0.5.3)
 Depends: ${misc:Depends}, ${sphinxdoc:Depends}
 Multi-Arch: foreign
 Description: Documentation for python-ncclient (Python library for NETCONF clients)

## python-ncclient 0.6.16

=== debian/changelog ===
python-ncclient (0.6.16-1) unstable; urgency=medium

  * Non-maintainer upload.
  * Remove usage of python3-six using upstream patch

 -- Alexandre Detiste <tchet@debian.org>  Fri, 10 Jan 2025 01:21:04 +0100

python-ncclient (0.6.16-0.1) unstable; urgency=medium

  * Non-maintainer upload.
  * New upstream version 0.6.16
  * Do not generate a dep on python3-pkg-resources (Closes: #1083670)
  * Use dh-sequence-python3

 -- Alexandre Detiste <tchet@debian.org>  Mon, 02 Dec 2024 13:58:53 +0100

=== debian/rules ===
--- 
+++ 
@@ -3,12 +3,7 @@
 export PYBUILD_NAME = ncclient
 
 %:
-	dh $@ --buildsystem=pybuild --with python3,sphinxdoc
-
-override_dh_auto_test:
-ifeq (,$(findstring nocheck, $(DEB_BUILD_OPTIONS)))
-	nosetests3 test --verbosity=3 ncclient
-endif
+	dh $@ --buildsystem=pybuild --with sphinxdoc
 
 # Split package and documentation
 override_dh_sphinxdoc:

## python-ncclient 0.6.17

=== requirements.txt ===
paramiko>=1.15.0
lxml>=3.3.0

=== docs/Makefile ===
# Makefile for Sphinx documentation
#

# You can set these variables from the command line.
SPHINXOPTS    =
SPHINXBUILD   = sphinx-build
PAPER         =
BUILDDIR      = build

# Internal variables.
PAPEROPT_a4     = -D latex_paper_size=a4
PAPEROPT_letter = -D latex_paper_size=letter
ALLSPHINXOPTS   = -d $(BUILDDIR)/doctrees $(PAPEROPT_$(PAPER)) $(SPHINXOPTS) source

.PHONY: help clean html dirhtml pickle json htmlhelp qthelp latex changes linkcheck doctest

help:
	@echo "Please use \`make <target>' where <target> is one of"
	@echo "  html      to make standalone HTML files"
	@echo "  dirhtml   to make HTML files named index.html in directories"
	@echo "  pickle    to make pickle files"
	@echo "  json      to make JSON files"
	@echo "  htmlhelp  to make HTML files and a HTML help project"
	@echo "  qthelp    to make HTML files and a qthelp project"
	@echo "  latex     to make LaTeX files, you can set PAPER=a4 or PAPER=letter"
	@echo "  changes   to make an overview of all changed/added/deprecated items"
	@echo "  linkcheck to check all external links for integrity"
	@echo "  doctest   to run all doctests embedded in the documentation (if enabled)"

clean:
	-rm -rf $(BUILDDIR)/*

html:
	$(SPHINXBUILD) -b html $(ALLSPHINXOPTS) $(BUILDDIR)/html
	@echo
	@echo "Build finished. The HTML pages are in $(BUILDDIR)/html."

dirhtml:
	$(SPHINXBUILD) -b dirhtml $(ALLSPHINXOPTS) $(BUILDDIR)/dirhtml
	@echo
	@echo "Build finished. The HTML pages are in $(BUILDDIR)/dirhtml."

pickle:
	$(SPHINXBUILD) -b pickle $(ALLSPHINXOPTS) $(BUILDDIR)/pickle
	@echo
	@echo "Build finished; now you can process the pickle files."

json:
	$(SPHINXBUILD) -b json $(ALLSPHINXOPTS) $(BUILDDIR)/json
	@echo
	@echo "Build finished; now you can process the JSON files."

htmlhelp:
	$(SPHINXBUILD) -b htmlhelp $(ALLSPHINXOPTS) $(BUILDDIR)/htmlhelp
	@echo
	@echo "Build finished; now you can run HTML Help Workshop with the" \
	      ".hhp project file in $(BUILDDIR)/htmlhelp."

qthelp:
	$(SPHINXBUILD) -b qthelp $(ALLSPHINXOPTS) $(BUILDDIR)/qthelp
	@echo
	@echo "Build finished; now you can run "qcollectiongenerator" with the" \
	      ".qhcp project file in $(BUILDDIR)/qthelp, like this:"
	@echo "# qcollectiongenerator $(BUILDDIR)/qthelp/ncclient.qhcp"
	@echo "To view the help file:"
	@echo "# assistant -collectionFile $(BUILDDIR)/qthelp/ncclient.qhc"

latex:
	$(SPHINXBUILD) -b latex $(ALLSPHINXOPTS) $(BUILDDIR)/latex
	@echo
	@echo "Build finished; the LaTeX files are in $(BUILDDIR)/latex."
	@echo "Run \`make all-pdf' or \`make all-ps' in that directory to" \
	      "run these through (pdf)latex."

changes:
	$(SPHINXBUILD) -b changes $(ALLSPHINXOPTS) $(BUILDDIR)/changes
	@echo
	@echo "The overview file is in $(BUILDDIR)/changes."

linkcheck:
	$(SPHINXBUILD) -b linkcheck $(ALLSPHINXOPTS) $(BUILDDIR)/linkcheck
	@echo
	@echo "Link check complete; look for any errors in the above output " \
	      "or in $(BUILDDIR)/linkcheck/output.txt."

doctest:
	$(SPHINXBUILD) -b doctest $(ALLSPHINXOPTS) $(BUILDDIR)/doctest
	@echo "Testing of doctests in the sources finished, look at the " \
	      "results in $(BUILDDIR)/doctest/output.txt."

=== debian/changelog ===
python-ncclient (0.6.17-1) unstable; urgency=medium

  * Non-maintainer upload.
  * Trim autopkgtest dependencies
  * Remove reference to defunct `python_distutils` (Closes: #1092757)
  * New upstream version 0.6.17
  * Remove patches applied upstream

 -- Alexandre Detiste <tchet@debian.org>  Sun, 23 Feb 2025 15:22:29 +0100

=== debian/control ===
--- 
+++ 
@@ -3,14 +3,13 @@
 Priority: optional
 Maintainer: Sebastien Badia <sbadia@debian.org>
 Build-Depends: debhelper-compat (= 13),
-               dh-python,
+               dh-sequence-python3,
                python3-all,
                python3-setuptools,
                python3-sphinx
 Build-Depends-Indep: python3-lxml,
                      python3-pytest,
                      python3-paramiko,
-                     python3-six
 Standards-Version: 4.6.2
 Rules-Requires-Root: no
 Vcs-Browser: https://salsa.debian.org/debian/python-ncclient
@@ -23,7 +22,6 @@
 Pre-Depends: ${misc:Pre-Depends}
 Depends: python3-lxml,
          python3-paramiko,
-         python3-six,
          ${misc:Depends},
          ${python3:Depends}
 Suggests: python-ncclient-doc

=== debian/rules ===
#!/usr/bin/make -f

export PYBUILD_NAME = ncclient

%:
	dh $@ --buildsystem=pybuild --with sphinxdoc

# Split package and documentation
execute_before_dh_sphinxdoc:
	python3 -m sphinx -b html docs/source/ $(CURDIR)/debian/python-ncclient-doc/usr/share/doc/python-ncclient/html

execute_after_dh_auto_clean:
	rm -fr docs/build

=== debian/watch ===
version=4
opts=filenamemangle=s/.+\/v?(\d\S*)\.tar\.gz/ncclient-$1\.tar\.gz/ \
  https://github.com/ncclient/ncclient/tags .*/v?(\d\S*)\.tar\.gz
